Bug 967401 - Review Request: vmtouch - Portable file system cache diagnostics and control
Review Request: vmtouch - Portable file system cache diagnostics and control
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 23:51 EDT by Robin Lee
Modified: 2013-06-16 01:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: vmtouch-0.8.0-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-16 01:31:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dougsland: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Lee 2013-05-26 23:51:42 EDT
Spec URL: http://cheeselee.fedorapeople.org/vmtouch.spec
SRPM URL: http://cheeselee.fedorapeople.org/vmtouch-0.8.0-1.fc18.src.rpm
Description: Vmtouch is a tool for learning about and controlling the file system cache of Unix and Unix-like systems.
Fedora Account System Username: cheeselee
Comment 1 Douglas Schilling Landgraf 2013-06-01 17:49:09 EDT
Hi Robin,

I have few questions:

1) 
BuildRequires:  /usr/bin/dos2unix
BuildRequires:  /usr/bin/mac2unix

What about replace with:

BuildRequires: dos2unix ?

$ rpm -qf /usr/bin/dos2unix
dos2unix-6.0.1-1.fc18.x86_64
$ rpm -qf /usr/bin/mac2unix
dos2unix-6.0.1-1.fc18.x86_64

2)
%build
cc %{optflags} -o %{name} %{name}.c

Why not "make %{?_smp_mflags}" ?
https://fedoraproject.org/wiki/PackagingGuidelines#Parallel_make

Thanks
Douglas
Comment 2 Robin Lee 2013-06-02 03:38:05 EDT
(In reply to Douglas Schilling Landgraf from comment #1)
> Hi Robin,
> 
> I have few questions:
> 
> 1) 
> BuildRequires:  /usr/bin/dos2unix
> BuildRequires:  /usr/bin/mac2unix
> 
> What about replace with:
> 
> BuildRequires: dos2unix ?
> 
> $ rpm -qf /usr/bin/dos2unix
> dos2unix-6.0.1-1.fc18.x86_64
> $ rpm -qf /usr/bin/mac2unix
> dos2unix-6.0.1-1.fc18.x86_64
What I actually use are the two commands, I don't have to care about what package that provides those commands. Yum would find out the package.

> 
> 2)
> %build
> cc %{optflags} -o %{name} %{name}.c
> 
> Why not "make %{?_smp_mflags}" ?
> https://fedoraproject.org/wiki/PackagingGuidelines#Parallel_make
Vmtouch is built from a single source file. And the upstream Makefile doesn't accept optflags setting. So I compile it directly with cc.

> 
> Thanks
> Douglas
Comment 3 Douglas Schilling Landgraf 2013-06-03 22:52:14 EDT
Hi Robin,

Thanks for your reply. Below my review.

[OK] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.

Rpmlint
-------
Checking: vmtouch-0.8.0-1.fc18.x86_64.rpm
vmtouch.x86_64: W: no-manual-page-for-binary watch-vmtouch
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint vmtouch
vmtouch.x86_64: W: no-manual-page-for-binary watch-vmtouch
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

- There is no man page for watch-vmtouch.

[OK] MUST: The package must be named according to the Package Naming Guidelines

[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] . 

[OK] MUST: The package must meet the Packaging Guidelines

[OK] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines

[OK] MUST: The License field in the package spec file must match the actual license.

[OK] MUST: The spec file must be written in American English. [OK]

[OK] MUST: The spec file for the package MUST be legible [OK]

[OK] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

  CHECKSUM(SHA256) this package     : 6848b9355451e8ab848501b5604f47a396bce1ef1dcb613577feaaaea1dfe262
  CHECKSUM(SHA256) upstream package : 6848b9355451e8ab848501b5604f47a396bce1ef1dcb613577feaaaea1dfe262


[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture

[OK] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

[OK] MUST: Packages must NOT bundle copies of system libraries

[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.

[OK] MUST: Each package must consistently use macros.

[OK] MUST: The package must contain code, or permissable content. 

[OK] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.

[OK] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

[OK] MUST: All filenames in rpm packages must be valid UTF-8

[OK] SHOULD: Package functions as described.

[OK] SHOULD: Latest version is packaged.

[OK] SHOULD: Packager, Vendor, PreReq, Copyright tags should not be in spec file

[OK] SHOULD: Sources can be downloaded from URI in Source: tag

[OK] SHOULD: Reviewer should test that the package builds in mock.

[OK] SHOULD: Buildroot is not present

[OK] SHOULD: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)

[OK] SHOULD: Dist tag is present.

[OK] SHOULD: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.

[OK] SHOULD: SourceX tarball generation or download is documented.

[OK] SHOULD: SourceX is a working URL.

[OK] SHOULD: Spec use %global instead of %define.

Status: APPROVED
Comment 4 Robin Lee 2013-06-04 00:52:23 EDT
Thanks!

New Package SCM Request
=======================
Package Name: vmtouch
Short Description: Portable file system cache diagnostics and control
Owners: cheeselee
Branches: f17 f18 f19 el6
InitialCC:
Comment 5 Gwyn Ciesla 2013-06-04 08:28:44 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-06-04 10:29:12 EDT
vmtouch-0.8.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/vmtouch-0.8.0-1.fc17
Comment 7 Fedora Update System 2013-06-05 21:37:57 EDT
vmtouch-0.8.0-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2013-06-16 01:31:20 EDT
vmtouch-0.8.0-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.